Bug 1479031 - Unable to load librt.so on ppc64le
Summary: Unable to load librt.so on ppc64le
Status: CLOSED DUPLICATE of bug 1475636
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-07 18:48 UTC by Endi Sukma Dewata
Modified: 2017-08-08 07:48 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-07 21:12:56 UTC


Attachments (Terms of Use)

Description Endi Sukma Dewata 2017-08-07 18:48:32 UTC
pki-core build failed on ppc64le because cmake is unable to load librt.so. See https://kojipkgs.fedoraproject.org//work/tasks/7082/20857082/build.log:

+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mcpu=power8 -mtune=power8'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mcpu=power8 -mtune=power8'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mcpu=power8 -mtune=power8 -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ FCFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mcpu=power8 -mtune=power8 -I/usr/lib64/gfortran/modules'
+ export FCFLAGS
+ LDFLAGS='-Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
+ export LDFLAGS
+ /usr/bin/cmake -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON -DVERSION=10.4.8-3.fc27 -DVAR_INSTALL_DIR:PATH=/var -DBUILD_PKI_CORE:BOOL=ON -DJAVA_HOME=/usr/lib/jvm/jre-1.8.0-openjdk -DJAVA_LIB_INSTALL_DIR=/usr/lib/java -DSYSTEMD_LIB_INSTALL_DIR=/usr/lib/systemd/system -DWITH_TOMCAT7:BOOL=OFF -DJAXRS_API_JAR=/usr/share/java/jboss-jaxrs-2.0-api.jar -DRESTEASY_LIB=/usr/share/java/resteasy ..
/usr/bin/cmake: error while loading shared libraries: /lib64/librt.so.1: expected localentry:0 `pthread_attr_setdetachstate'

The problem does not happen on other platforms:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20822786

Comment 1 Endi Sukma Dewata 2017-08-07 18:56:07 UTC
Probably related to bug #1475636.

Comment 2 Dan Horák 2017-08-07 19:57:55 UTC
I guess this build has started (July 28th) before the fix was applied and the packages rebuilt. Does it happen with a fresh a build too?

Comment 3 Endi Sukma Dewata 2017-08-07 21:12:56 UTC
The latest build works fine on all platforms:
https://koji.fedoraproject.org/koji/buildinfo?buildID=949879

Closing the bug. Thanks!

*** This bug has been marked as a duplicate of bug 1475636 ***


Note You need to log in before you can comment on or make changes to this bug.